Automations · Contacts
Fetches a contact.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the contacts resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
contactIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/contacts/642d31f43531ce7d44aa5013" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/contacts/642d31f43531ce7d44aa5013", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/contacts/642d31f43531ce7d44aa5013",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
successbooleancontactobject17 child fields
idstringnamestringemailstringcompanystringavatarUrlstringtagsarray of stringisSubscribedbooleanisBlockedbooleanmessagesSentCountintegermessagesReceivedCountintegerlastMessageSentAtstring (date-time)Can be null.
lastMessageReceivedAtstring (date-time)Can be null.
customFieldsobjectnotesstringconversationIdsarray of stringcreatedAtstring (date-time)updatedAtstring (date-time)
channelsarray of object9 child fields
idstringaccountIdstringplatformstringplatformIdentifierstringdisplayIdentifierstringisSubscribedbooleanconversationIdstringlastActiveAtstring (date-time)Can be null.
createdAtstring (date-time)
200 response
{
"success": true,
"contact": {
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme",
"email": "alex@example.com",
"company": "string",
"avatarUrl": "https://pozy.ai/media/example-1.jpg",
"tags": [
"string"
],
"isSubscribed": true,
"isBlocked": true,
"messagesSentCount": 42,
"messagesReceivedCount": 42,
"lastMessageSentAt": "2026-10-02T09:00:00.000Z",
"lastMessageReceivedAt": "2026-10-02T09:00:00.000Z",
"customFields": {},
"notes": "string",
"conversationIds": [
"string"
],
"createdAt": "2026-10-02T09:00:00.000Z",
"updatedAt": "2026-10-02T09:00:00.000Z"
},
"channels": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"accountId": "696e0b682d0a31188e7a2ba9",
"platform": "instagram",
"platformIdentifier": "instagram",
"displayIdentifier": "string",
"isSubscribed": true,
"conversationId": "6e525f3820fc636aa96d2ee9",
"lastActiveAt": "2026-10-02T09:00:00.000Z",
"createdAt": "2026-10-02T09:00:00.000Z"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.